### Method

# GSSDP Client guess_user_agent

#### Declaration [src]

    const char*
    gssdp_client_guess_user_agent (
      GSSDPClient* client,
      const char* ip_address
    )

#### Description [src]

Try to get a User-Agent for `ip_address`.

#### Parameters

`ip_address` | `const char*`
| IP address to guess the user-agent for.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.

#### Return value

Returns: | `const char*`
| The User-Agent cached for this IP, `NULL` if none is cached.
| The data is owned by the instance.
| The value is a NUL terminated UTF-8 string.